Subject: Re: [PATCH net v3 0/3] macsec: Add support for VLAN filtering in offload mode

From: Sabrina Dubroca <[email-masked]>
Date: Mon, 9 Mar 2026 17:43:02 +0100

2026-03-09, 16:19:20 +0000, Cosmin Ratiu wrote:
> On Fri, 2026-03-06 at 11:53 -0800, Jakub Kicinski wrote:
> > On Fri, 6 Mar 2026 17:10:01 +0200 Cosmin Ratiu wrote:
> > > This short series adds support for VLANs in macsec devices when
> > > offload
> > > mode is enabled. This allows VLAN netdevs on top of macsec netdevs
> > > to
> > > function, which accidentally used to be the case in the past, but
> > > was
> > > broken. This series adds back proper support.
> > > 
> > > netdevsim was extended to support VLANs and there's also a selftest
> > > for
> > > the new functionality.
> > 
> > I think it's triggering the warning you added, in most of the tests:
> > 
> > [   20.973710][  T194] WARNING: drivers/net/netdevsim/netdev.c:1234
> > at nsim_destroy+0x128/0x7b0 [netdevsim], CPU#0: peer.sh/194
> 
> Right, it seems the fuzzing test adds a bunch of VLANs then destroys
> the netsim devs. It doesn't make sense to have those warnings anyway,
> it's ok to not clean up the VLAN filters from a device before
> destroying it, they're not a resource, they're a setting. I'll remove
> the warnings in the next version.

But the vlan devices on top of the netdevsim device should have been
deleted (and thus the vlan and their filters removed from the
macsec/netdevsim devices) by the time we finish destroying the
netdevsim device. So this warning just needs to happen a bit later in
nsim_destroy? (I guess just after unregister_netdevice)

-- 
Sabrina